Bug 1414026 - [GSS] Different permissions/ownership visibility of newly created directories from two gluster fuse clients
Summary: [GSS] Different permissions/ownership visibility of newly created directories...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Susant Kumar Palai
QA Contact: Byreddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 15:01 UTC by Otakar Masek
Modified: 2020-03-11 15:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 06:56:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Otakar Masek 2017-01-17 15:01:16 UTC
Description of problem: 

Customer created ten directories on Gluster Distributed Volume. After setting up same new owner and group + permissions on all of them, customer can see on some of them different owner/group/permissions from two various gluster clients.

Version-Release number of selected component (if applicable):

Gluster server :

glusterfs-api-3.7.1-16.el6rhs.x86_64
glusterfs-cli-3.7.1-16.el6rhs.x86_64
glusterfs-rdma-3.7.1-16.el6rhs.x86_64
python-gluster-3.7.1-16.el6rhs.x86_64
glusterfs-debuginfo-3.7.1-16.el6rhs.x86_64
glusterfs-3.7.1-16.el6rhs.x86_64
glusterfs-fuse-3.7.1-16.el6rhs.x86_64
gluster-nagios-common-0.2.2-1.el6rhs.noarch
glusterfs-tools-0.1-1.el6.nux.noarch
vdsm-gluster-4.16.30-1.5.el6rhs.noarch
glusterfs-server-3.7.1-16.el6rhs.x86_64
glusterfs-geo-replication-3.7.1-16.el6rhs.x86_64
gluster-nagios-addons-0.2.5-1.el6rhs.x86_64
glusterfs-libs-3.7.1-16.el6rhs.x86_64
samba-glusterfs-3.6.509-169.6.el6rhs.x86_64
glusterfs-client-xlators-3.7.1-16.el6rhs.x86_64

redhat-storage-server-3.1.1.0-2.el6rhs.noarch

Gluster clients :

glusterfs-api-3.7.9-11.el6.x86_64
glusterfs-3.7.9-11.el6.x86_64
glusterfs-client-xlators-3.7.9-11.el6.x86_64
glusterfs-fuse-3.7.9-11.el6.x86_64
glusterfs-libs-3.7.9-11.el6.x86_64


How reproducible:

Run the following script on a distributed gluster filesystem from one gluster fuse client ->

mkdir -m 0755 1
mkdir -m 0755 2
mkdir -m 0755 3
mkdir -m 0755 4
mkdir -m 0755 5
mkdir -m 0755 6
mkdir -m 0755 7
mkdir -m 0755 8
mkdir -m 0755 9
mkdir -m 0755 10
chown sdb:sdb 1
chown sdb:sdb 2
chown sdb:sdb 3
chown sdb:sdb 4
chown sdb:sdb 5
chown sdb:sdb 6
chown sdb:sdb 7
chown sdb:sdb 8
chown sdb:sdb 9
chown sdb:sdb 10

Actual results:

Visible from two different Gluster fuse clients:

[root@client1 test_TB]# ls -lah 2/
total 48K
drwxr-sr-x. 12 sdb  sdb  4.0K Jan 11 18:15 .
drwxr-sr-x. 12 root root 4.0K Jan 11 18:15 ..
drwxr-sr-x.  2 root root 4.0K Jan 11 18:15 1
drwxr-sr-x.  2 sdb  sdb  4.0K Jan 11 18:15 10
drwxr-sr-x.  2 root sdb  4.0K Jan 11 18:15 2
drwxr-sr-x.  2 sdb  sdb  4.0K Jan 11 18:15 3
drwxr-sr-x.  2 sdb  sdb  4.0K Jan 11 18:15 4
drwxr-xr-x.  2 sdb  sdb  4.0K Jan 11 18:15 5
drwxr-sr-x.  2 sdb  sdb  4.0K Jan 11 18:15 6
drwxr-sr-x.  2 sdb  sdb  4.0K Jan 11 18:15 7
drwxr-xr-x.  2 sdb  sdb  4.0K Jan 11 18:15 8
drwxr-sr-x.  2 sdb  sdb  4.0K Jan 11 18:15 9


[root@client2 test_TB]# ls -lah 2/
total 48K
drwxr-sr-x. 12 sdb  sdb  4.0K Jan 11 18:15 .
drwxr-sr-x. 12 root root 4.0K Jan 11 18:15 ..
drwxr-xr-x.  2 sdb  sdb  4.0K Jan 11 18:15 1
drwxr-sr-x.  2 sdb  sdb  4.0K Jan 11 18:15 10
drwxr-sr-x.  2 sdb  sdb  4.0K Jan 11 18:15 2
drwxr-sr-x.  2 sdb  sdb  4.0K Jan 11 18:15 3
drwxr-sr-x.  2 sdb  sdb  4.0K Jan 11 18:15 4
drwxr-xr-x.  2 sdb  sdb  4.0K Jan 11 18:15 5
drwxr-sr-x.  2 sdb  sdb  4.0K Jan 11 18:15 6
drwxr-sr-x.  2 sdb  sdb  4.0K Jan 11 18:15 7
drwxr-sr-x.  2 sdb  sdb  4.0K Jan 11 18:15 8
drwxr-xr-x.  2 sdb  sdb  4.0K Jan 11 18:15 9


Expected results:

All permissions and user/group ownership should be same on all ten directories.

Comment 4 Susant Kumar Palai 2017-01-18 06:10:39 UTC
Otakar,

Comment 5 Susant Kumar Palai 2017-01-18 06:43:06 UTC
Otakar,
   Few of the directories have sgid bits set. I doubt it might have been inherited from it's parent directory. Would you be able to give "ls -l" output of parent directories of all the directories. 

 Is there a reproducer to it? And it will be helpful to know what all operations were running at that point. 


Regards,
Susant


Note You need to log in before you can comment on or make changes to this bug.